astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_ConicEqualArea

# Sky2Pix_ConicEqualArea

class `astropy.modeling.projections.``Sky2Pix_ConicEqualArea`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Conic`

  Alber’s conic equal area projection - sky to pixel.

  Corresponds to the `COE` projection in FITS WCS.

  See `Conic` for a description of the entire equation.

  The projection formulæ are:

  C &= \gamma / 2 \\ R_\theta &= \frac{180^\circ}{\pi} \frac{2}{\gamma} \sqrt{1 + \sin \theta_1 \sin \theta_2 - \gamma \sin \theta} \\ Y_0 &= \frac{180^\circ}{\pi} \frac{2}{\gamma} \sqrt{1 + \sin \theta_1 \sin \theta_2 - \gamma \sin((\theta_1 + \theta_2)/2)}

  where:

  \gamma = \sin \theta_1 + \sin \theta_2

  Parameters:

  sigma : float

  > (\theta_1 + \theta_2) / 2, where \theta_1 and \theta_2 are the latitudes of the standard parallels, in degrees. Default is 90.

  delta : float

  > (\theta_1 - \theta_2) / 2, where \theta_1 and \theta_2 are the latitudes of the standard parallels, in degrees. Default is 0.

  Attributes Summary

  `param_names` |

  Methods Summary

  `evaluate`(phi, theta, sigma, delta) |

  Attributes Documentation

  `param_names` = ('sigma', 'delta')

  Methods Documentation

  classmethod `evaluate`(phi, theta, sigma, delta)